Bug 25868 - "Do not update these packages unless you are sure it is safe to do so"
Summary: "Do not update these packages unless you are sure it is safe to do so"
Status: RESOLVED NOTABUG
Alias: None
Product: PackageKit
Classification: Unclassified
Component: General (show other bugs)
Version: unspecified
Hardware: Other All
: medium normal
Assignee: Richard Hughes
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-01-03 02:25 UTC by Osma Ahvenlampi
Modified: 2018-08-21 15:52 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Osma Ahvenlampi 2010-01-03 02:25:32 UTC
Please try to tell users something actionable when there's a problem. Apparently one of many updates has an issue, but which one? Screenshot: http://yfrog.com/1dbrrp

PackageKit-0.5.5-1.fc12.x86_64
yum-3.2.25-1.fc12.noarch
Comment 1 Osma Ahvenlampi 2010-01-03 02:51:55 UTC
In this case, it turned out to be the unsigned Chromium packages that caused the dialog, but that required me to guess quite a lot given I'd been offline for a week and there was a big bunch of pending updates.
Comment 2 Richard Hughes 2010-09-20 04:41:56 UTC
What do we show if there are lots (100's) of packages that are unsigned?
Comment 3 Osma Ahvenlampi 2010-09-20 06:00:57 UTC
That would be a pretty rare circumstance on a machine which gets most of its update from a regular Fedora/Red Hat/etc release, I would think. Anyway, update automatically everything which does not require user confirmation, leave those packages which require manual steps pending in the update queue?

Eg, there are three fairly reasonable levels on the Android Market for mobile apps.

Update automatically: if selected for an application, all updates to it are applied as soon as seen by the device

Update (all): for any apps which have not changed their permissions required (the Android security model), and are not set to Update automatically, will be updated at-once after human review of pending updates. This is the default level, and Android Market notifies user of pending updates (similar to PackageKit default).

Update (manual): manual per-app review of changed permissions required, has to be repeated for each app. This is where PackageKit goes wrong: it does not separate these packages out of the "regular" queue.
Comment 4 Richard Hughes 2018-08-21 15:52:26 UTC
We moved the upstream bugtracker to GitHub a long time ago. If this issue still affects you please re-create the issue here: https://github.com/hughsie/PackageKit/issues
 
Sorry for the impersonal message, and fingers crossed your issue no longer happens. Thanks.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.